Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Class XBRLValidator

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.validator.XBRLValidator

All Implemented Interfaces:
  IXBRLValidator

Direct Known Subclasses:
  ENLOCXBRLValidator

    public class XBRLValidator

extends java.lang.Object
implements IXBRLValidator

Clase que gestiona la validación de un documento XBRL contra una taxonomía. Esta clase se compone de dos métodos públicos mediante los cuales es posible invocar la funcionalidad de validación XBRL, devolviendo en ambos casos un objeto que encapsula el resultado de la validación, así como un informe de errores de validación que hayan podido encontrarse. La validación XBRL está basada en la API de XBreeze, a la cual se accede a través de la funcionalidad que publica la facade implementada para dicha API. El resultado de la validación consiste en indicar si la instancia es correcta, para ello se utilizará un método booleano que así lo indica. Si durante la validación se detectaron errores, dichos errores serán informados según el formato definido para ello mediante el esquema de errores config/schemas/lenlocpenloc2010-errors-output.xsd. En dichos errores se informa del código, la descripción por defecto y los parámetros en caso de que los hubiera. Los errores que se pueden devolver están clasificados en tres tipos, de validación de esquema, validación Xbreeze (XBRL) o errores de la propia API (error de sistema genérico). Todos los errores quedan catalogados en el fichero lenlocpenloc2010-errors.xml.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`static IXBRLValidator` | `createInstance()` Crea una instancia de la propia clase.
`ValidateResult` | `validate(byte[] inputDocument)` Valida el documento XBRL contra la taxonomía sin procesar el resultado.
`ValidateResult` | `validate(byte[] inputDocument, boolean postProcessResult)` Valida el documento XBRL contra la taxonomía recibiendo la instancia XBRL como array de bytes.
`ValidateResult` | `validate(java.lang.String documentPath)` Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validate

    public ValidateResult validate(java.lang.String documentPath)
                            throws XBRLValidatorException

  Description copied from interface: `IXBRLValidator`
  Valida el documento XBRL contra la taxonomía recibiendo la ruta donde se encuentra la instancia XBRL.

  Specified by:
    `validate` in interface `IXBRLValidator`
  Parameters:
    `documentPath` - ruta del documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### validate

    public ValidateResult validate(byte[] inputDocument)
                            throws XBRLValidatorException

  Description copied from interface: `IXBRLValidator`
  Valida el documento XBRL contra la taxonomía sin procesar el resultado.

  Specified by:
    `validate` in interface `IXBRLValidator`
  Parameters:
    `inputDocument` - Array de bytes con el documento XBRL que se quiere validar
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### validate

    public ValidateResult validate(byte[] inputDocument,
                                   boolean postProcessResult)
                            throws XBRLValidatorException

  Description copied from interface: `IXBRLValidator`
  Valida el documento XBRL contra la taxonomía recibiendo la instancia XBRL como array de bytes.

  Specified by:
    `validate` in interface `IXBRLValidator`
  Parameters:
    `inputDocument` - Array de bytes con el documento XBRL que se quiere validar
    `postProcessResult` - Indicador de si se procesará el validate result original de xbreeze para facilitar su posterior interpretacion
  Returns:
    Objeto de tipo ValidateResult. Recoge los mensajes de validación (si existen) y un indicador de si el documento XBRL se considera válido
  Throws:
    `XBRLValidatorException` - si se produce un error durante el proceso de validación.

### createInstance

    public static IXBRLValidator createInstance()

  Crea una instancia de la propia clase.

  Returns:
    Objeto del tipo IXBRLValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD